Cyberduck Mountain Duck CLI

#4989 closed defect (fixed)

Identical file structures on different servers causes problems editing files

Reported by: gormster Owned by: dkocher
Priority: normal Milestone: 3.6
Component: core Version: 3.5
Severity: major Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

I've got two servers, a development server and a production server with near-identical file structures. If I want to edit the same file on the dev server and the production server simultaneously - for instance, to partially implement new code - Cyberduck won't open both files simultaneously in TextMate. Instead, editing one file instantly overwrites the old one. Files should be differentiated by a unique server ID such as the IP address rather than whatever is currently differentiating them.

Steps to replicate:

  1. Set up two SFTP servers with the same username/password and file structure.
  2. Login to both in separate Cyberduck windows.
  3. Open a file on one server in TextMate.
  4. Open the same file on the other server. Only one TextMate window is open, containing the file from the second server.

Here's where it gets especially nasty: the connections sometimes get confused as to who last opened the file. If I do this by accident without realising, sometimes the data on the dev server - new code - gets overwritten with data from the production server. I've accidentally erased work because I've saved a file that was opened from the production server and Cyberduck has overwritten the file on the dev server.

Change History (3)

comment:1 Changed on Jul 9, 2010 at 6:19:01 AM by dkocher

  • Milestone set to 3.6
  • Status changed from new to assigned
  • Summary changed from Identical file structures on different servers causes problems to Identical file structures on different servers causes problems editing files

comment:2 Changed on Jul 12, 2010 at 9:21:00 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r6277.

comment:3 Changed on Jul 22, 2010 at 4:41:24 PM by dkocher

#4505 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software